* {
    outline: none;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    margin: 0;
    padding: 0;
    position: relative;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    height: 100%;
    min-width: 320px;
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: 14px;
    color: #4d3631;
}

.header,
.footer {
    padding: 30px 0;
    background: #f1f1f1;
}

.footer {
    margin-top: auto;
}

.main {
    flex-grow: 1;
}

.container {
    margin: 0 auto;
    padding: 0 15px;
    width: 100%;
    max-width: 1200px;
}

.main__container {
    padding-top: 50px;
    padding-bottom: 50px;
    display: flex;
    justify-content: center;
}

.table-wrapper {
    width: 100%;
    max-width: 820px;
    min-height: 420px;
    overflow: auto;
}

.table {
    width: 100%;
    min-width: 600px;
    color: #4d4d4d;
}

.table__head {
    margin-bottom: 2px;
}

.table__body {}

.table__line {
    display: flex;
    gap: 2px;
}

.table__line + .table__line {
    margin-top: 2px;
}

.table__cell {
    padding: 10px 8px;
    width: 20%;
    overflow: hidden;
    text-align: center;
    background: #f5f5f5;
    text-overflow: ellipsis;
    transition: background-color 0.2s ease-out;
}

.table__cell--primary {
    background: #def1f6;
}

.table__cell--success {
    background: #ecf7e8;
}

.table__cell--danger {
    background: #fee6e6;
}

.table__cell-percent {
    margin-left: 8px;
    display: inline-block;
    color: #1da050;
    font-weight: 600;
    font-size: 13px;
}

.table__cell--danger .table__cell-percent {
    color: #fd3333;
}

.table__body .table__cell {
    text-align: right;
}

.table__body .table__cell:first-child {
    text-align: left;
}

.table__body .table__cell {
    cursor: pointer;
}

.table__cell:first-child {
    flex-grow: 1;
}

.table__nested {}

.table__nested .table__line .table__cell:first-child {
    padding-left: 20px;
}

.table__nested .table__line:last-child {
    margin-bottom: 2px;
}

.table__chart {
    padding: 20px 0;
    min-height: 220px;
}
